with GNATCOM.Dispinterface;

package MSHTML.IWebGeoposition_Interface is

   type IWebGeoposition_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IWebGeoposition_Type);

   function Pointer (This : IWebGeoposition_Type)
     return Pointer_To_IWebGeoposition;

   procedure Attach (This    : in out IWebGeoposition_Type;
                     Pointer : in     Pointer_To_IWebGeoposition);

   function Get_coords
     (This : IWebGeoposition_Type)
     return Pointer_To_IWebGeocoordinates;

   function Get_timeStamp
     (This : IWebGeoposition_Type)
     return GNATCOM.Types.DWORDLONG;

end MSHTML.IWebGeoposition_Interface;

